Mengenai konten keamanan Xcode 7.1

Dokumen ini menjelaskan konten keamanan Xcode 7.1.

Demi melindungi pelanggan kami, Apple tidak mengungkapkan, membahas, atau mengonfirmasi masalah keamanan hingga investigasi menyeluruh telah dilakukan dan perbaikan program atau rilis yang diperlukan telah tersedia. Untuk mempelajari lebih lanjut mengenai Keamanan Produk Apple, kunjungi situs web Keamanan Produk Apple.

Untuk mengetahui informasi mengenai Kunci PGP Keamanan Produk Apple, baca Cara menggunakan Kunci PGP Keamanan Produk Apple.

Jika memungkinkan, ID CVE digunakan sebagai referensi untuk mengetahui informasi lebih lanjut mengenai kerentanan.

Untuk mempelajari mengenai pembaruan keamanan lainnya, baca pembaruan keamanan Apple.

Xcode 7.1

  • Swift

    Tersedia untuk: OS X Yosemite v10.10.5 atau yang lebih baru

    Dampak: Program Swift yang melakukan konversi tipe tertentu mungkin menerima nilai yang tidak terduga

    Deskripsi: Masalah konversi tipe yang dapat menyebabkan konversi menghasilkan nilai yang tidak diinginkan. Masalah ini diatasi melalui pemeriksaan tipe yang ditingkatkan.

    CVE-ID

    CVE-2015-7030 : peneliti anonim

Informasi mengenai produk yang tidak diproduksi Apple, atau situs web independen yang tidak dikendalikan atau diuji Apple, diberikan tanpa rekomendasi atau persetujuan. Apple tidak bertanggung jawab atas pemilihan, kinerja, atau penggunaan situs web atau produk pihak ketiga. Apple tidak memberikan pernyataan terkait keakuratan atau keandalan situs web pihak ketiga. Hubungi vendor untuk informasi tambahan.

Tanggal Dipublikasikan: